2002-07-12  Allen Barnett  <allen@lignumcomputing.com>

	* doc/Doxyfile, configure.ac: Updated to version 0.8.

	* liboglft/OGLFT.cpp:
	Removed unnecessary default arguments from constructors.

	* tests/Makefile.am: Added extra demo3 header.

	* liboglft/OGLFT.h: Improved the Doxygen comments.

2002-07-11  Allen Barnett  <allen@lignumcomputing.com>

	* doc/documentation.dox: Updated to version 0.8 information.

	* NEWS: Added FreeType version warning.

	* liboglft/OGLFT.cpp: Updated to be compilable by G++ 3.

	Minor improvement of Doxygen comments.

	Added height() method. Returns the "line spacing" of the font.

	Added drawing of formatted numbers.

	Made a couple of changes to support newer versions of FreeType:
	* A default charmap is not activated if there is no UNICODE map.
	* Adjust creation of monochrome bitmap to account for even
	  number of bytes now in FreeType bitmaps.

	Correctly compute the vector size for each auxiliary face:
	Type1 and TrueType fonts typically have different EM sizes.

	Reverted to tesselating straight lines with one step.

	* liboglft/OGLFT.h: Updated to be compilable by G++ 3.

	Minor improvement of Doxygen comments.

	Added height() method. Returns the "line spacing" of the font.

	Added drawing of formatted numbers.

	* tests/tutorial3.cpp: Updated to be compilable by G++ 3.

	* tests/tutorial2.cpp: Updated to be compilable by G++ 3.

	Also, minor modification to optionally (at compile time) use a
	scalable representation. And, made it double buffered since that's the
	only available visual with the Mach64 driver.

	* tests/tutorial1.cpp, tests/speedtest.cpp, tests/demo.cpp:
	Updated to be compilable by G++ 3.

	* tests/demo3.cpp: Updated to be compilable by G++ 3.

	Added example of number formatting.

	* tests/demo2.cpp: Updated to be compilable by G++ 3.

	* tests/Demo3UnicodeExample.h: Added GPL header.

	* tests/Demo3UnicodeExample2.h: Initial checkin.

	* README: Improved Qt project instructions.

	* configure.ac: Updated version number.

	* tests/tests.pro, OGLFT.pro, liboglft/liboglft.pro: Initial checkin.

	* README, NEWS: Added new features for version 0.8.

2002-07-11  Allen Barnett  <allen@lignumcomputing.com>

	* doc/documentation.dox: Updated to version 0.8 information.

	* NEWS: Added FreeType version warning.

	* liboglft/OGLFT.cpp: Updated to be compilable by G++ 3.

	Minor improvement of Doxygen comments.

	Added height() method. Returns the "line spacing" of the font.

	Added drawing of formatted numbers.

	Made a couple of changes to support newer versions of FreeType:
	* A default charmap is not activated if there is no UNICODE map.
	* Adjust creation of monochrome bitmap to account for even
	  number of bytes now in FreeType bitmaps.

	Correctly compute the vector size for each auxiliary face:
	Type1 and TrueType fonts typically have different EM sizes.

	Reverted to tesselating straight lines with one step.

	* liboglft/OGLFT.h: Updated to be compilable by G++ 3.

	Minor improvement of Doxygen comments.

	Added height() method. Returns the "line spacing" of the font.

	Added drawing of formatted numbers.

	* tests/tutorial3.cpp: Updated to be compilable by G++ 3.

	* tests/tutorial2.cpp: Updated to be compilable by G++ 3.

	Also, minor modification to optionally (at compile time) use a
	scalable representation. And, made it double buffered since that's the
	only available visual with the Mach64 driver.

	* tests/tutorial1.cpp, tests/speedtest.cpp, tests/demo.cpp:
	Updated to be compilable by G++ 3.

	* tests/demo3.cpp: Updated to be compilable by G++ 3.

	Added example of number formatting.

	* tests/demo2.cpp: Updated to be compilable by G++ 3.

	* tests/Demo3UnicodeExample.h: Added GPL header.

	* tests/Demo3UnicodeExample2.h: Initial checkin.

	* README: Improved Qt project instructions.

	* configure.ac: Updated version number.

	* tests/tests.pro, OGLFT.pro, liboglft/liboglft.pro: Initial checkin.

	* README, NEWS: Added new features for version 0.8.

2002-03-26  Allen Barnett  <allen@lignumcomputing.com>

	* tests/tutorial2.cpp, tests/tutorial1.cpp: Added <config.h>.

	* tests/demo3.cpp:
	Without GL_RASTER_POSITION_UNCLIPPED_IBM, need to adjust some of the
	text items so that they are not clipped.

	* tests/demo.cpp:
	Reduced the size of the font since nVidia's OpenGL version does not
	support the GL_RASTER_POSITION_UNCLIPPED_IBM.

	* configure.ac:
	Note that disabling Qt support also removes UNICODE support.

2002-03-26  allen@llama.lignumcomputing.org  <allen@llama>

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/tutorial2.cpp, /home/allen/cvsroot/lignumCAD/OGLFT/tests/tutorial1.cpp:
	Added <config.h>.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo3.cpp:
	Without GL_RASTER_POSITION_UNCLIPPED_IBM, need to adjust some of the
	text items so that they are not clipped.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo.cpp:
	Reduced the size of the font since nVidia's OpenGL version does not
	support the GL_RASTER_POSITION_UNCLIPPED_IBM.

	* /home/allen/cvsroot/lignumCAD/OGLFT/configure.ac:
	Note that disabling Qt support also removes UNICODE support.

2002-03-25  allen@llama.lignumcomputing.org  <allen@llama>

	* /home/allen/cvsroot/lignumCAD/OGLFT/configure.ac:
	Update the version number to 0.7.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/Makefile.am:
	Use the correct name for the embedded font file.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.cpp:
	Updated Doxygen comments.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo3.cpp:
	Use .h for embedded font file to make automake happier.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo3.cpp, /home/allen/cvsroot/lignumCAD/OGLFT/tests/Demo3UnicodeExample.c, /home/allen/cvsroot/lignumCAD/OGLFT/tests/Demo3UnicodeExample.sfd, /home/allen/cvsroot/lignumCAD/OGLFT/tests/Demo3UnicodeExample.ttf, /home/allen/cvsroot/lignumCAD/OGLFT/tests/tosrc.pl:
	Add demo files for UNICODE and multiple fonts.

	* /home/allen/cvsroot/lignumCAD/OGLFT/doc/documentation.dox:
	Updated to 0.7.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	Updated the Doxygen comments.

	* /home/allen/cvsroot/lignumCAD/OGLFT/NEWS: Addes the latest news.

	* /home/allen/cvsroot/lignumCAD/OGLFT/README:
	Mention UNICODE rendering dependence on Qt and how to build the test programs.

	* /home/allen/cvsroot/lignumCAD/OGLFT/doc/Doxyfile:
	Updated version number.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	Fix typos in description of vertical justification enum documentation.

	* /home/allen/cvsroot/lignumCAD/OGLFT/configure.ac:
	Now, if you have Qt and don't disable it, the library will compile
	with UNICODE support, in the form of Qt's QString. Thus, the FLAGS
	necessary to compile with Qt are propagated through to all the
	Makefiles.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	* Added the ability to draw glyphs based on UNICODE characters. Here,
	  we use the Qt UNICODE representation: QString. Additionally, there
	  are methods to set the foreground and background colors using
	  QColor.

	* Made the definition of measure(const char*) explicit in each of
	  Face's immediate subclasses in order to avoid a complaint from
	  gcc 2.95 about "using measure" from Face.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.cpp:
	* Added the ability to draw glyphs based on UNICODE characters. Here,
	  we use the Qt UNICODE representation: QString. Additionally, there
	  are methods to set the foreground and background colors using
	  QColor.

	* Removed redundant insertion of display list index in the glyph display
	  list cache.

	* Removed memory leak on deletion of face. Was not freeing the glyph
	  display lists.

	* Added check for validity of FT_Face in OGLFT::Face subclasses before
	  proceeding with subclass initiliation.

	* For now at least, tessellation of straight lines is also broken into
	  segments so that the triangles produced by gluTess* are (slightly)
	  more regular.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	Fix issue with compiling under older version (2.95) of GCC g++.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.cpp:
	Add extra case statements to silence compiler warning.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	Fix bug in BoundingBox auto-increment operator.

2002-02-05  allen@llama.lignumcomputing.org  <allen@llama>

	* /home/allen/cvsroot/lignumCAD/OGLFT/doc/documentation.dox:
	Update copyright date and SourceForge logo reference.

2002-02-04  allen@llama.lignumcomputing.org  <allen@llama>

	* /home/allen/cvsroot/lignumCAD/OGLFT/NEWS, /home/allen/cvsroot/lignumCAD/OGLFT/configure.ac, /home/allen/cvsroot/lignumCAD/OGLFT/doc/Doxyfile:
	Update to 0.6.

	* /home/allen/cvsroot/lignumCAD/OGLFT/NEWS:
	Comment on "Changes to improve compilation on SGI."

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h, /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.cpp:
	Changes to improve compilation on SGI.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	Don't try to include mpatrol header if built without mpatrol.

	* /home/allen/cvsroot/lignumCAD/OGLFT/configure.ac:
	* Make sure to check for libm first.

	* Do not continue build if proper freetype headers are not found.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo2.cpp:
	stdio.h not included if mpatrol is undefined.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/Makefile.am:
	Don't include moc_*.cpp files in distribution.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/vignette.h, /home/allen/cvsroot/lignumCAD/OGLFT/tests/speedtest.h:
	Missing definition of exit() when built in "dist" mode (?)

	* /home/allen/cvsroot/lignumCAD/OGLFT/ChangeLog:
	Reran EMACS regeneration command.

	* /home/allen/cvsroot/lignumCAD/OGLFT/NEWS:
	Add note about already open FT_Face.

	* /home/allen/cvsroot/lignumCAD/OGLFT/doc/html/classOGLFT_1_1ColorTess.html, /home/allen/cvsroot/lignumCAD/OGLFT/doc/html/classOGLFT_1_1ColorTess-members.html, /home/allen/cvsroot/lignumCAD/OGLFT/doc/html/classOGLFT_1_1TextureTess.html, /home/allen/cvsroot/lignumCAD/OGLFT/doc/html/classOGLFT_1_1TextureTess-members.html:
	New structures.

	* /home/allen/cvsroot/lignumCAD/OGLFT/ChangeLog, /home/allen/cvsroot/lignumCAD/OGLFT/Makefile.in, /home/allen/cvsroot/lignumCAD/OGLFT/NEWS:
	Updates for version 0.5.

	* /home/allen/cvsroot/lignumCAD/OGLFT/doc/Doxyfile:
	Updated version number.

	* /home/allen/cvsroot/lignumCAD/OGLFT/doc/documentation.dox:
	Updates for version 0.5.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo2.cpp:
	Demo of using an already open FT_Face.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo3.cpp: The spiffy demo.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/Makefile.am:
	Renamed demo2 and demo3.

	* /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.cpp, /home/allen/cvsroot/lignumCAD/OGLFT/liboglft/OGLFT.h:
	Add a constructor where the FT_Face is already open.

	* /home/allen/cvsroot/lignumCAD/OGLFT/README:
	Updated compilation instructions to better describe configure options.

	* /home/allen/cvsroot/lignumCAD/OGLFT/Makefile.am:
	Add target for the bzip distribution.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/Makefile.am:
	Added demo2 texture.png to distribution.

	* /home/allen/cvsroot/lignumCAD/OGLFT/tests/demo2.cpp:
	Run the per glyph display text in the other direction.

2002-02-04  Allen Barnett  <allen@localhost.localdomain>

	* NEWS: Comment on "Changes to improve compilation on SGI."

	* liboglft/OGLFT.h, liboglft/OGLFT.cpp:
	Changes to improve compilation on SGI.

	* liboglft/OGLFT.h:
	Don't try to include mpatrol header if built without mpatrol.

	* configure.ac: * Make sure to check for libm first.

	* Do not continue build if proper freetype headers are not found.

	* tests/demo2.cpp: stdio.h not included if mpatrol is undefined.

	* tests/Makefile.am: Don't include moc_*.cpp files in distribution.

	* tests/vignette.h, tests/speedtest.h:
	Missing definition of exit() when built in "dist" mode (?)

	* ChangeLog: Reran EMACS regeneration command.

	* NEWS: Add note about already open FT_Face.

	* doc/Doxyfile: Updated version number.

	* doc/documentation.dox: Updates for version 0.5.

	* tests/demo2.cpp: Demo of using an already open FT_Face.

	* tests/demo3.cpp: The spiffy demo.

	* tests/Makefile.am: Renamed demo2 and demo3.

	* liboglft/OGLFT.cpp, liboglft/OGLFT.h:
	Add a constructor where the FT_Face is already open.

	* README:
	Updated compilation instructions to better describe configure options.

	* Makefile.am: Add target for the bzip distribution.

	* tests/Makefile.am: Added demo2 texture.png to distribution.

	* tests/demo2.cpp:
	Run the per glyph display text in the other direction.

2002-02-01  Allen Barnett  <allen@localhost.localdomain>

	* tests/background00a.png, tests/background00b.png, tests/background00.png, tests/background01.png, tests/background10a.png, tests/background10b.png, tests/background10.png, tests/background11.png, tests/background.png:
	Background images for demo2.

	* tests/tutorial3.cpp, tests/speedtest.cpp:
	Accounted for absence of Solid face.

	* configure.ac: Improved GLE checking.

	* tests/demo2.cpp, tests/demo.cpp: Accounted for absence of Solid face.

	* configure.ac: Added an mpatrol configuration option.

	* liboglft/OGLFT.h:
	Added definitions for Color and Texture callbacks during tessellation.

	* liboglft/OGLFT.cpp: * Added color callback for Face::Outline.

	* Added color and texture callbacks for Face::Filled.

	* Properly set the character rotation reference for all face types.

	* Cleaned up memory leak during GLU tesselation.

	* tests/vignette.h, tests/demo2.cpp: Initial checkin

2002-02-01  Allen Barnett  <allen@localhost.localdomain>

	* tests/background00a.png, tests/background00b.png, tests/background00.png, tests/background01.png, tests/background10a.png, tests/background10b.png, tests/background10.png, tests/background11.png, tests/background.png:
	Background images for demo2.

	* tests/tutorial3.cpp, tests/speedtest.cpp:
	Accounted for absence of Solid face.

	* configure.ac: Improved GLE checking.

	* tests/demo2.cpp, tests/demo.cpp: Accounted for absence of Solid face.

	* configure.ac: Added an mpatrol configuration option.

	* liboglft/OGLFT.h:
	Added definitions for Color and Texture callbacks during tessellation.

	* liboglft/OGLFT.cpp: * Added color callback for Face::Outline.

	* Added color and texture callbacks for Face::Filled.

	* Properly set the character rotation reference for all face types.

	* Cleaned up memory leak during GLU tesselation.

	* tests/vignette.h, tests/demo2.cpp: Initial checkin

2002-01-29  Allen Barnett  <allen@localhost.localdomain>

	* liboglft/OGLFT.cpp: Moved config.h to the main library source .

	* liboglft/Makefile.am: Be sure to install the library header file.

	* liboglft/OGLFT.h: Moved config.h to the main library source.

	* tests/tutorial3.cpp, tests/tutorial2.cpp, tests/tutorial1.cpp, tests/speedtest.cpp:
	Added revsion control keyword (Id).

	* tests/speedtest.cpp, tests/speedtest.h:
	Reorganized a little to help automake deal with .moc files.
	
